Get Wallet Details
curl --request GET \
--url https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id \
--header 'x-api-key: <api-key>'import requests
url = "https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"customer_reference": "user_987",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"label": "John Doe — School Fees",
"account_number": "2211334455",
"bank_name": "Nomba MFB",
"account_name": "PropTech Inc / John Doe",
"balance": 1500000,
"currency": "NGN",
"status": "ACTIVE",
"system_prompt": "This wallet collects school fees...",
"allow_transfers_out": true,
"sub_account_id": null,
"created_at": "2026-07-01T11:00:00Z"
}
}
Wallets
Get Wallet Details
Retrieve full details for a specific wallet.
GET
/
v1
/
wallets
/
:wallet_id
Get Wallet Details
Request Headers
string
required
Your live or test API key.
Path Parameters
string
required
The Avenue wallet ID.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"customer_reference": "user_987",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"label": "John Doe — School Fees",
"account_number": "2211334455",
"bank_name": "Nomba MFB",
"account_name": "PropTech Inc / John Doe",
"balance": 1500000,
"currency": "NGN",
"status": "ACTIVE",
"system_prompt": "This wallet collects school fees...",
"allow_transfers_out": true,
"sub_account_id": null,
"created_at": "2026-07-01T11:00:00Z"
}
}
Was this page helpful?